E:AS Missing or Invalid Version of SQL Library libpsora PeopleTools 8.48+ on Oracle 10g and 11i (Doc ID 650409.1)

Last updated on APRIL 12, 2016

Applies to:

PeopleSoft Enterprise PT PeopleTools - Version 8.48 and later
Generic Linux

Symptoms

Application server can't start because of bad link.  The application server is looking for a library that does not exist: dlopen in libpscompat failed for libpsora.sl: ld.so.1: PSAPPSRV: fatal: libclntsh.sl.9.0: open failed: No such file or directory

stderr file has errors similar to:

/usr/lib/pa20_64/dld.sl: Unable to find library 'libclntsh.sl.9.0'.



stdout file has the error:

shl_load in libpscompat failed for libpsora.sl

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms